Loading...
Searching...
No Matches
errors.hpp File Reference

Go to the source code of this file.

## Classes

struct | std::is_error_code_enum< jni::error >
class | jni::PendingJavaException

## Namespaces

namespace | std
namespace | jni

## Functions

const std::error_category & | jni::ErrorCategory ()
void | jni::CheckErrorCode (jint err)
template<class R>
R | jni::CheckJavaException (JNIEnv &env, R &&r)
void | jni::CheckJavaException (JNIEnv &env)
void | jni::CheckJavaExceptionThenErrorCode (JNIEnv &env, jint err)
inline ::jclass | jni::JavaErrorClass (JNIEnv &env)
void | jni::ThrowJavaError (JNIEnv &env, std::exception_ptr e)